# -*- mode: cperl -*-
use Test::More tests=>2;
use File::Temp 'tempdir';
use DAKKAR::Graylister;

my $dbdir=tempdir(CLEANUP=>1);

local $ENV{SMTPMAILFROM}='gino';
local $ENV{SMTPRCPTTO}='pino';
local $ENV{TCPREMOTEIP}='10.1.2.3';
local $ENV{DAKGL_DBNAME}="$dbdir/gray1.db";
is_deeply([DAKKAR::Graylister::get_from_env()],
          ['10.1.2.3','gino','pino'],
          'from env');
$ENV{SMTPMAILFROM}='gino-return-12-@pino.it';
is_deeply([DAKKAR::Graylister::get_from_env()],
          ['10.1.2.3','gino-return-$-@pino.it','pino'],
          'from env, ezmlm');

